<template lang='pug'>
BaseDialog.x-add-dialog(ref='dialog' title='Add Material')
  template(v-slot:default='d')
    .row.x-materials
      .col-12.col-xl-4.mb-1.order-xl-2(key='search')
        BaseCard.highlightOnFocus(title='Search' tabindex='-1'
                                  @keydown.enter.native.stop='doSearch')
          li(key='0')
            .row.b-param-container
              BaseParamInput.col-12(ref='element' :inEdit='true' title='Element')
              BaseParamInput.col-12.col-sm-6(ref='massNumber' type='number' :inEdit='true' title='Mass Number')
              BaseParamInput.col-12.col-sm-6(ref='atomicNumber' type='number' :inEdit='true' title='Atomic Number')
            .row.no-gutters.mt-1
              button.x-search.btn.btn-primary.ml-auto(ref='search' @click='doSearch') Search
      .col-12.col-xl-8(key='results')
        BaseCard
          li(key='ctrl')
            .row.justify-content-between
              .col-auto
                nav.justify-content-center(aria-label='Pagination')
                  ul.pagination
                    li.page-item(:class="{ disabled: page === 0 }")
                      button.page-link(type='button'  @click="goToPage(page - 1)"
                        :disabled='page === 0') #[i.fa.fa-angle-left]
                    li.page-item()
                      button.page-link(type='button' @click="goToPage(page + 1)") #[i.fa.fa-angle-right]
              BaseAnimationBlock
                .col-auto.align-content-center(v-if="loading" key='loader')
                  i.align-bottom.fa.fa-spinner.fa-pulse
              .col-auto.d-flex
                BaseSelect.x-entries(v-model.number='max' :inEdit='true' :noEditIcon='true')
                  template(v-slot:options='')
                    option(:value='20') 20
                    option(:value='40') 40
                    option(:value='100') 100
          li.p-0(v-if='!loading' key='rows')
            table.table.table-sm.table-hover
              thead.bg-light.table-head
                tr
                  th.text-center #
                  th Element
                  th Title
                  th.text-center.d-md-table-cell.d-none Status
              tbody
                tr(:key='m.id' v-for='m in rows' @click='d.resolve(m)').clickable
                  td.text-center {{ m.id }}
                  td
                    sup(v-if='m.massNumber > 0') {{ m.massNumber }}
                    sub(v-if='m.atomicNumber > 0') {{ m.atomicNumber }}
                    | {{ m.compound }}
                  td {{ m.title }}
                  td.text-center.d-md-table-cell.d-none
                    .fa.fa-check(v-if='m.status')
                    .fa.fa-times(v-else)
  template(v-slot:footer='d')
    button.btn.btn-secondary(@click='d.resolve(null)') Cancel
</template>
<script>

export { default } from './AddMaterialsSetupMaterialDialog.vue.js';

</script>
